#ifndef SOCKS5NIO_H
#define SOCKS5NIO_H

void socksv5_passive_accept(struct selector_key * key);
void socksv5_pool_destroy(void);
bool get_auth_status();
bool set_auth_status(bool auth_status);
bool get_pass_dissector_status();
bool set_pass_dissector_status(bool pwd_dissector_status);
uint64_t get_bytes_transferred();
uint32_t get_now_connect();
uint32_t get_total_connect();

#endif
